package org.apache.commons.lang3.time;

package .tmp;

import java.io.IOException;
import java.util.Calendar;
import org.apache.commons.lang3.time.FastDatePrinter;

class DayInWeekField implements FastDatePrinter.NumberRule {
  private final FastDatePrinter.NumberRule mRule;
  
  DayInWeekField(FastDatePrinter.NumberRule rule) {
    this.mRule = rule;
  }
  
  public int estimateLength() {
    return this.mRule.estimateLength();
  }
  
  public void appendTo(Appendable buffer, Calendar calendar) throws IOException {
    int value = calendar.get(7);
    this.mRule.appendTo(buffer, (value == 1) ? 7 : (value - 1));
  }
  
  public void appendTo(Appendable buffer, int value) throws IOException {
    this.mRule.appendTo(buffer, value);
  }
}
